Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLADIV

    java.lang.Object
      org.netlib.lapack.DLADIV

    public class DLADIV

extends java.lang.Object

    DLADIV is a simplified interface to the JLAPACK routine dladiv.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLADIV performs complex division in  real arithmetic
     *
     *                        a + i*b
     *             p + i*q = ---------
     *                        c + i*d
     *
     *  The algorithm is due to Robert L. Smith and can be found
     *  in D. Knuth, The art of Computer Programming, Vol.2, p.195
     *
     *  Arguments
     *  =========
     *
     *  A       (input) DOUBLE PRECISION
     *  B       (input) DOUBLE PRECISION
     *  C       (input) DOUBLE PRECISION
     *  D       (input) DOUBLE PRECISION
     *          The scalars a, b, c, and d in the above expression.
     *
     *  P       (output) DOUBLE PRECISION
     *  Q       (output) DOUBLE PRECISION
     *          The scalars p and q in the above expression.
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`DLADIV()`

Method Summary
`static void` | `DLADIV(double a, double b, double c, double d, doubleW p, doubleW q)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLADIV

    public DLADIV()

Method Detail

### DLADIV

    public static void DLADIV(double a,
                              double b,
                              double c,
                              double d,
                              doubleW p,
                              doubleW q)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD